Bug 163330 - WebRTC: [GTK] Update jhbuild environment for OpenWebRTC
Summary: WebRTC: [GTK] Update jhbuild environment for OpenWebRTC
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks: 143211 163327
  Show dependency treegraph
 
Reported: 2016-10-12 05:54 PDT by Adam Bergkvist
Modified: 2016-10-19 01:21 PDT (History)
3 users (show)

See Also:


Attachments
patch (28.07 KB, patch)
2016-10-12 07:32 PDT, Philippe Normand
no flags Details | Formatted Diff | Diff
patch (28.69 KB, patch)
2016-10-13 00:50 PDT, Philippe Normand
no flags Details | Formatted Diff | Diff
patch (28.65 KB, patch)
2016-10-14 00:29 PDT, Philippe Normand
no flags Details | Formatted Diff | Diff
patch (29.19 KB, patch)
2016-10-18 06:20 PDT, Philippe Normand
mcatanzaro: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Adam Bergkvist 2016-10-12 05:54:17 PDT
It's not possible to run, for example, the test-send-receive (OpenWebRTC test) in the current jhbuild environment.
Comment 1 Philippe Normand 2016-10-12 06:07:22 PDT
What's missing? openh264 ?
Comment 2 Philippe Normand 2016-10-12 07:32:01 PDT
Created attachment 291355 [details]
patch
Comment 3 Philippe Normand 2016-10-12 07:59:24 PDT
Even with this patch the p2p demo barely works here between Chrome/Android and WebKitGTK. Can you check on your side Adam?
Comment 4 Adam Bergkvist 2016-10-12 11:10:41 PDT
Thanks for taking a stab at this Philippe. I'll test it.
Comment 5 Philippe Normand 2016-10-13 00:50:24 PDT
Created attachment 291463 [details]
patch
Comment 6 Philippe Normand 2016-10-14 00:29:15 PDT
Created attachment 291582 [details]
patch
Comment 7 Philippe Normand 2016-10-18 06:20:32 PDT
Created attachment 291946 [details]
patch
Comment 8 Philippe Normand 2016-10-18 06:33:06 PDT
Adam please check this on your antique distro before I land the patch :)
Comment 9 Adam Bergkvist 2016-10-18 23:47:32 PDT
Can you provide the patch in "Dead Sea Scrolls" format for my distro. ;)

I'll test it. Thanks.
Comment 10 Adam Bergkvist 2016-10-19 00:59:50 PDT
The patch works for me. Thanks philn
Comment 11 Philippe Normand 2016-10-19 01:21:38 PDT
Committed r207531: <http://trac.webkit.org/changeset/207531>